package h03.robots;

public class DoublePowerRobot extends HackingRobot {

    private MovementType[] doublePowerTypes = new MovementType[2];

    public DoublePowerRobot(int x, int y, boolean order) {
        super(x, y, order);
        doublePowerTypes[0] = getType();
        doublePowerTypes[1] = getNextType();
    }

    @Override
    public void shuffle() {
        super.shuffle();
        doublePowerTypes[0] = getType();
        doublePowerTypes[1] = getNextType();
    }

    @Override
    public boolean shuffle(int itNr) {
        var changed = super.shuffle(itNr);
        doublePowerTypes[0] = getType();
        doublePowerTypes[1] = getNextType();
        return changed;
    }
}
